 	.global exec_close
 	.global exec_reload
 	.global exec_launch
 	.global exec_filer
 	.global exec_quit
 	.global exec_task
 	.global exec_ampm1
 	.global exec_ampm2
 	.global exec_ampm3
 	.global exec_ampm4
 	.global exec_ampm24
	.global exec_speed1
	.global exec_speed2
 	.global exec_dark
 	.global exec_dclock
 	.global exec_logo
 	.global exec_about

exec_close:
	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	restart_timer
	jmp 	clear_section

exec_reload:
	sub 	d0,d0
	mov 	d0,(flag_noload) 							#LAUNCHERă[h
	mov 	d0,(flag_menu)
	mov 	d0,(task_num) 								#taskZbg
	mov 	d0,(file_num)
	mov 	d0,(line_num)
	mov 	d0,(top_file_num)
#	jsr 	read_cmn_iny

#	cmp 	1,d0 					#1:fatal error
#	beq 	exit 					#1->end
#	jsr 	buffer2data_cmn_iny

#	movbu 	(load_option_list),d0 	#YLCLST.INY - AutoLoad?
#	cmp 	0,d0
#	beq 	main_end_wait
	

	jsr 	register_task_first
	jmp 	clear_section
exec_launch:
	jsr 	clone_vram
	mov 	1,d0
	mov 	d0,(flag_laun)
	mov 	d0,(flag_pass)
	sub 	d0,d0
	mov 	d0,(flag_menu)

	jmp 	clear_section

exec_filer:
	mov 	1,d0
	mov 	d0,(flag_pass)

	mov 	K_FILER,d0
	sub 	d1,d1
	jsr 	call_eventcall 			#d0=(0,1,-1)
	cmp 	1,d0 					#1:(event)
	beq 	exec_filer_eventexec 
	cmp 	-1,d0 					#-1:(exit_request)
	beq 	exit

	jmp 	clear_section
exec_filer_eventexec:
	jsr 	call_gv_put
	jsr 	call_eventexec
	cmp 	-1,d0
	beq 	exit

	jmp 	clear_section

exec_quit:
	jmp  	exit

exec_task:
#	mov 	child_task_pass,a1
#	jsr 	call_dos_execute
#	jsr 	call_dos_childret

#	cmp 	1,d0 							#1:no change
#	beq 	clear_section

#	jsr 	read_app_iny
#	cmp 	1,d0 							#1:fatal error
#	beq 	exit 							#1->end
#	jsr 	buffer2data_yclk_iny

	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	register_task_first
	jmp 	clear_section

exec_ampm1:
	mov 	1,d0
	mov 	d0,(mode_ampm)
	mov 	1,d0
	mov 	d0,(check_ampm1)
	sub 	d0,d0
	mov 	d0,(check_ampm2)
	mov 	d0,(check_ampm3)
	mov 	d0,(check_ampm4)
	mov 	d0,(check_ampm24)
	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	register_task_first
	jmp 	clear_section

exec_ampm2:
	mov 	2,d0
	mov 	d0,(mode_ampm)
	mov 	1,d0
	mov 	d0,(check_ampm2)
	sub 	d0,d0
	mov 	d0,(check_ampm1)
	mov 	d0,(check_ampm3)
	mov 	d0,(check_ampm4)
	mov 	d0,(check_ampm24)
	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	register_task_first
	jmp 	clear_section

exec_ampm3:
	mov 	3,d0
	mov 	d0,(mode_ampm)
	mov 	1,d0
	mov 	d0,(check_ampm3)
	sub 	d0,d0
	mov 	d0,(check_ampm2)
	mov 	d0,(check_ampm1)
	mov 	d0,(check_ampm4)
	mov 	d0,(check_ampm24)
	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	register_task_first
	jmp 	clear_section

exec_ampm4:
	mov 	4,d0
	mov 	d0,(mode_ampm)
	mov 	1,d0
	mov 	d0,(check_ampm4)
	sub 	d0,d0
	mov 	d0,(check_ampm2)
	mov 	d0,(check_ampm3)
	mov 	d0,(check_ampm1)
	mov 	d0,(check_ampm24)
	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	register_task_first
	jmp 	clear_section

exec_ampm24:
	mov 	0,d0
	mov 	d0,(mode_ampm)
	mov 	1,d0
	mov 	d0,(check_ampm24)
	sub 	d0,d0
	mov 	d0,(check_ampm2)
	mov 	d0,(check_ampm3)
	mov 	d0,(check_ampm4)
	mov 	d0,(check_ampm1)
	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	register_task_first
	jmp 	clear_section


exec_speed1:
	mov 	0,d0
	mov 	d0,(spd_min)
	mov 	1,d0
	mov 	d0,(check_speed1)
	sub 	d0,d0
	mov 	d0,(check_speed2)
	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	register_task_first
	jmp 	clear_section

exec_speed2:
	mov 	1,d0
	mov 	d0,(spd_min)
	mov 	1,d0
	mov 	d0,(check_speed2)
	sub 	d0,d0
	mov 	d0,(check_speed1)
	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	register_task_first
	jmp 	clear_section

exec_dark:
	mov 	(mode_dark),d0
	not 	d0
	mov 	d0,(mode_dark)

	mov 	(check_dark),d0
	not 	d0
	mov 	d0,(check_dark)

	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	register_task_first
	jmp 	clear_section


exec_logo:
	mov 	(check_logo),d0
	not 	d0
	mov 	d0,(check_logo)

	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	register_task_first
	jmp 	clear_section

exec_dclock:
	mov 	(check_dclock),d0
	not 	d0
	mov 	d0,(check_dclock)

	sub 	d0,d0
	mov 	d0,(flag_menu)
	jsr 	register_task_first
	jmp 	clear_section

exec_about:
	mov 	1,d0
	mov 	d0,(flag_abou)
	mov 	d0,(flag_pass)
	sub 	d0,d0
	mov 	d0,(flag_menu)

	jmp 	clear_section

