#=====================
#	Include Init
#=======================

	.include	"y_equ.def"
	.text
	.global	_start

#=======================
#	EXF Header
#=======================
_start:
	jmp 	main
	nop
	nop
	nop
	
	.fill 128,1,0 			#ICON etc.

#=======================
#	Main
#=======================
main:
	jsr 	reg_ini
	jsr 	get_psp
	jsr 	reset_dos_workarea
	jsr 	clear_vram
main_first:												##ݒ
#
main_end_wait:
	jsr 	call_endwaiting
	jsr 	register_task_first
	jmp 	key_section
#########################################################################
########################################################### KEY  SECTION
#########################################################################
key_section:
keyin_loop:
	jsr 	reg_ini
	.include	"main_keyin.s" 							##<<KeyinĂ
	.include	"main_keycount.s" 						##<<KeyJE^
	jmp 	act_section
#########################################################################
########################################################### ACT SECTION
#########################################################################
act_section:
as:
	mov 	(flag_menu),d0
	cmp 	1,d0
	beq 	menu_section
	
	mov 	(flag_laun),d0
	cmp 	1,d0
	beq 	file_launcher
	
	jmp 	as2
	.include	"ylib_common_ui/MENU.s" 								##<<RUI
	.include 	"ylib_common_ui/LAUNCHER.s" 							##<<
as2:
	mov 	(flag_abou),d0
	cmp 	1,d0
	beq 	as_about
as_normal: 								########### < NORMAL
#	nop
as_normal_up:
	mov 	(flag_up),d0
	cmp 	1,d0
	bne 	as_normal_dw

	jmp 	as_end
as_normal_dw:
	mov 	(flag_dw),d0
	cmp 	1,d0
	bne 	as_normal_en
	
	jsr 	clone_vram
	jmp 	as_end
as_normal_en:
	mov 	(flag_en),d0
	cmp 	1,d0
	bne 	as_normal_me
	
	mov 	(flag_lock),d0
	not 	d0 							#switch
	mov 	d0,(flag_lock)
	jmp 	as_end
as_normal_me:
	mov 	(flag_me),d0
	cmp 	1,d0
	bne 	as_normal_fi
	
	mov 	(flag_lock),d0
	cmp 	0,d0
	bne 	as_normal_fi
	
	mov 	1,d0
	mov 	d0,(flag_menu)
	mov 	d0,(flag_pass)
	jsr 	remove_timer
	jsr 	clone_vram
	jmp 	as_end
as_normal_fi:
	mov 	(flag_fi),d0
	cmp 	1,d0
	bne 	as_end

	mov 	(flag_lock),d0
	cmp 	0,d0
	bne 	as_end

	mov 	1,d0
	mov 	d0,(flag_laun)
	mov 	d0,(flag_pass)
	jsr 	remove_timer
	jsr 	clone_vram
	jmp 	as_end
as_lock: 								########### < LOCK
as_about:
	sub 	d0,d0
	mov 	(flag_up),d1
	add 	d1,d0
	mov 	(flag_dw),d1
	add 	d1,d0
	mov 	(flag_le),d1
	add 	d1,d0
	mov 	(flag_ri),d1
	add 	d1,d0
	mov 	(flag_en),d1
	add 	d1,d0
	mov 	(flag_me),d1
	add 	d1,d0
	mov 	(flag_fi),d1
	add 	d1,d0
	cmp 	1,d0
	blt 	as_about_disp

	sub 	d0,d0
	mov 	d0,(flag_abou)
	
	jsr 	restart_timer
	jmp 	as_about_end
as_about_disp:
	mov 	vram+4+102*1,a0
	mov 	title_about,a1
	mov 	(app_about),d1
	add 	1,d1
	mov 	2,d2
	jsr 	win2vram

	mov 	vram+4+102*2,a0
	add 	6,a0
	mov 	app_about,a1
	mov 	(a1),d3
	add 	2,a1
as_about_disp2:
	mov 	a0,d2
	jsr 	str2vram
	mov 	d2,a0
	
	add 	102,a0
	add 	-1,d3
	bne 	as_about_disp2
as_about_end:
	jsr 	lcd_display
#	jmp 	as_end
as_end:
	jmp 	clear_section
#########################################################################
########################################################### CLEAR SECTION
#########################################################################
clear_section:
cs:
	mov 	(flag_ktim),d0 				#1Hz Keyin TIMER?
	cmp 	1,d0
	beq 	cs_timer
	jmp 	cs2
cs_timer:
	mov 	(flag_ti),d0
	cmp 	1,d0
	bne 	cs_timer_check
	
	mov 	(ct_ti),d0
	add 	1,d0
	mov 	d0,(ct_ti)

cs_timer_check:
	mov 	(ct_ti),d0
	mov 	(ktim_wait),d1
	cmp 	d1,d0
	ble 	cs3
	
	jsr 	remove_keyin_timer 				## TIME OUT
#	jmp 	cs2
cs2:
	jsr 	reset_key_counters
cs3:
	jsr 	reset_key_flags
cs_end:
	jmp 	end_section
#########################################################################
########################################################### END  SECTION
#########################################################################
end_section:
	mov 	(flag_pass),d0
	sub 	d1,d1
	mov 	d1,(flag_pass)
	cmp 	1,d0
	beq 	act_section 				## PASS KEYSECTION (once)

	jmp 	key_section

reset_key_counters:
	sub 	d0,d0
	mov 	d0,(ct_up)
	mov 	d0,(ct_dw)
	mov 	d0,(ct_le)
	mov 	d0,(ct_ri)
	mov 	d0,(ct_en)
	mov 	d0,(ct_me)
	mov 	d0,(ct_fi)
	mov 	d0,(ct_ti)
	rts

reset_key_flags:
	sub 	d0,d0
	mov 	d0,(flag_up)
	mov 	d0,(flag_dw)
	mov 	d0,(flag_le)
	mov 	d0,(flag_ri)
	mov 	d0,(flag_en)
	mov 	d0,(flag_me)
	mov 	d0,(flag_fi)
	mov 	d0,(flag_ti)
	rts


	.include	"main_task.s"
	.include	"main_menu.s"

