#=======================
#	Youyou's UI
#=======================
	.equ 	TAB_SIZE , 50
#============
#	include
#============
	.include "y_equ.def"

#============
#	global
#============
	.global user_interface
	.global title_bar
	.global status_bar
	.global check_scr_mode

#=================================================
#					U.I.
#=================================================
#=====================
# USER INTERFACE
#=====================
user_interface:
	jsr 	clear_vram

	mov 	(task_num),d0
	mov 	(task_list),d1
	cmp 	d0,d1
	beq 	user_interface_end
	jsr 	check_scr_mode
	cmp 	1,d0
	beq 	user_interface_end
	cmp 	2,d0
	beq 	user_interface_lockon
	cmp 	3,d0
	beq 	user_interface_lockon_nostatus
	jmp 	user_interface2
user_interface_lockon:
	mov 	(flag_lock),d0
	cmp 	1,d0
	beq 	user_interface_end
user_interface2:
	jsr 	title_bar
	jsr 	status_bar
user_interface_end:
	rts

user_interface_lockon_nostatus:
	mov 	(flag_lock),d0
	cmp 	1,d0
	beq 	user_interface_end
user_interface_lock_on_nostatus2:
	jsr 	title_bar
	jmp 	user_interface_end


#=====================
# TITLE BAR
#=====================
title_bar:
	add 	-4,a3

	mov 	dis_task_list,a1
	mov 	(task_num),d3
	sub 	d2,d2
	sub 	d1,d1
	cmp 	0,d3
	beq 	title_bar_calc_left_tab_end
title_bar_calc_left_tab:
	movbu 	(d2,a1),d0
	add 	d0,d1
	add 	1,d2
	add 	-1,d3
	bne 	title_bar_calc_left_tab
title_bar_calc_left_tab2:
	mov 	(task_num),d3
	sub 	d1,d3
title_bar_calc_left_tab_end:
	mov 	d3,(a3) 					#(a3) : LEFT TAB NUM
title_bar_calc_right_tab:
	mov 	(task_list),d3
	add 	-1,d3
	mov 	(task_num),d0
	sub 	d0,d3
	cmp 	0,d3
	beq 	title_bar_calc_right_tab_end
	
	mov 	d3,(2,a3)
	
	mov 	dis_task_list,a1
	mov 	(task_num),d2
	add 	1,d2
	sub 	d1,d1
title_bar_calc_right_tab2:
	movbu 	(d2,a1),d0
	add 	d0,d1
	add 	1,d2
	add 	-1,d3
	bne 	title_bar_calc_right_tab2
title_bar_calc_right_tab3:
	mov 	(2,a3),d3
	sub 	d1,d3
title_bar_calc_right_tab_end:
	mov 	d3,(2,a3) 					#(2,a3) : RIGHT TAB NUM

title_bar_disp:
	mov 	vram+4,a0
title_bar_disp_left_tab:
	mov 	(a3),d3
	cmp 	0,d3
#	beq 	title_bar_disp_title
	beq 	title_bar_disp_left_tab3
	
	mov 	0x80ff,d1
	mov 	0x8080,d0
title_bar_disp_left_tab2:
	mov 	d1,(a0)
	mov 	d0,(2,a0)
	
	add 	4,a0
	add 	-1,d3
	bne 	title_bar_disp_left_tab2
title_bar_disp_left_tab3:
	mov 	0x00ff,d0
	mov 	d0,(a0)
	add 	2,a0
title_bar_disp_title:
	add 	2,a0
	mov 	a0,a2

	mov 	(task_num),d0
	mov 	task_list+2,a1
	add 	d0,d0
	add 	d0,d0 						#x4
#	mov 	4,d1
#	mulu 	d1,d0
	add 	d0,a1
	mov 	(a1),a0
	add 	4,a0
	mov 	(a0),a1

	mov 	a2,a0
	add 	-4,a3
	mov 	a2,(a3)
	jsr 	str2vram
	mov 	(a3),a2
	add 	4,a3

	mov 	a2,a0
	mov 	TAB_SIZE,d3
title_bar_disp_title2:
	mov 	(a0),d0
	lsr 	d0
	mov 	d0,(a0)
	
	add 	2,a0
	add 	-2,d3
	bne 	title_bar_disp_title2

title_bar_disp_right_tab:
	mov 	(2,a3),d3
	cmp 	0,d3
	beq 	title_bar_disp_right_tab3
	
	mov 	0x80ff,d1
	mov 	0x8080,d0
title_bar_disp_right_tab2:
	mov 	d1,(a0)
	mov 	d0,(2,a0)
	
	add 	4,a0
	add 	-1,d3
	bne 	title_bar_disp_right_tab2
title_bar_disp_right_tab3:
	mov 	0xffff,d0
	mov 	d0,(a0)
	add 	2,a0

	mov 	vram+4+102,a1
	sub 	a0,a1
	mov 	a1,d3
	
	mov 	(flag_lock),d0
	cmp 	1,d0
	beq 	title_bar_lock
title_bar_normal:
	mov 	d3,d2
	
	mov 	0xd5aa,d1
title_bar_normal2:
	mov 	d1,(a0)
	
	add 	2,a0
	add 	-2,d2
	bne 	title_bar_normal2
	
	add 	4,a3
	rts

title_bar_lock:
	mov 	d3,d1
	jsr 	reverse_area_e
	
	add 	4,a3
	rts


#=====================
# STATUS BAR
#=====================
status_bar:
status_bar_launcher:
	mov 	icon_close,a1
	mov 	vram+4+102*7,a0
	
	mov 	8,d3
status_bar_launcher2:
	movbu 	(0,a1),d0
	movb 	d0,(0,a0)
	
	add 	1,a0
	add 	1,a1
	add 	-1,d3
	bne 	status_bar_launcher2

#	jsr 	debug_status

	rts

#=====================
# CHECK SCR MODE
#=====================
##(OUTPUT)
#d0: 0(NORMAL) / 1(FULLSCR)
check_scr_mode:
	mov 	(task_num),d0
	mov 	task_list+2,a0
	add 	d0,d0
	add 	d0,d0 						#x4
#	mov 	4,d1
#	mulu 	d1,d0
	add 	d0,a0
	mov 	(a0),a1
	add 	12,a1
	mov 	(a1),a0
	mov 	(a0),d0
	rts


#=====================
# DEBUG STATUS
#=====================
debug_status:
#	mov 	vram+4+10+102*7,a0

#	mov 	(ct_up),d1
#	add 	0x30,d1
#	jsr 	moji2vram4x8
#	mov 	(ct_dw),d1
#	add 	0x30,d1
#	jsr 	moji2vram4x8
#	mov 	(ct_le),d1
#	add 	0x30,d1
#	jsr 	moji2vram4x8
#	mov 	(ct_ri),d1
#	add 	0x30,d1
#	jsr 	moji2vram4x8
#	mov 	(ct_en),d1
#	add 	0x30,d1
#	jsr 	moji2vram4x8
#	mov 	(ct_me),d1
#	add 	0x30,d1
#	jsr 	moji2vram4x8
#	mov 	(ct_fi),d1
#	add 	0x30,d1
#	jsr 	moji2vram4x8
#	mov 	(ct_ti),d1
#	add 	0x30,d1
#	jsr 	moji2vram4x8
#	rts

#====================================================================
#		YUI DATA AREA
#====================================================================
	.align 2

icon_close: 	.byte 0xe0,0x80,0x80,0x00,0x00,0x00,0x00,0x00



